Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.net
Class SocksProxySocket

    java.lang.Object
      com.mindbright.net.SocksProxySocket

public class SocksProxySocket
extends java.lang.Object

Method Summary
`java.lang.String` | `getServerDesc()`
`static java.net.Socket` | `getSocks4Proxy(java.lang.String host, int port, java.lang.String proxyHost, int proxyPort, long proxyTimeout, ProxyAuthenticator auth, java.lang.String userAgent)`
`static java.net.Socket` | `getSocks4Proxy(java.lang.String targetHost, int targetPort, java.lang.String proxyHost, int proxyPort, long proxyTimeout, java.lang.String userId)`
`static java.net.Socket` | `getSocks4Proxy(java.lang.String host, int port, java.lang.String proxyHost, int proxyPort, ProxyAuthenticator auth, java.lang.String userAgent)`
`static java.net.Socket` | `getSocks4Proxy(java.lang.String targetHost, int targetPort, java.lang.String proxyHost, int proxyPort, java.lang.String userId)`
`static java.net.Socket` | `getSocks5Proxy(java.lang.String targetHost, int targetPort, java.lang.String proxyHost, int proxyPort, boolean localLookup, ProxyAuthenticator authenticator)`
`static java.net.Socket` | `getSocks5Proxy(java.lang.String targetHost, int targetPort, java.lang.String proxyHost, int proxyPort, long proxyTimeout, boolean localLookup, ProxyAuthenticator authenticator)`
`static java.net.Socket` | `getSocks5Proxy(java.lang.String targetHost, int targetPort, java.lang.String proxyHost, int proxyPort, long proxyTimeout, ProxyAuthenticator authenticator)`
`static java.net.Socket` | `getSocks5Proxy(java.lang.String targetHost, int targetPort, java.lang.String proxyHost, int proxyPort, long proxyTimeout, ProxyAuthenticator auth, java.lang.String userAgent)`
`static java.net.Socket` | `getSocks5Proxy(java.lang.String targetHost, int targetPort, java.lang.String proxyHost, int proxyPort, ProxyAuthenticator authenticator)`
`static java.net.Socket` | `getSocks5Proxy(java.lang.String targetHost, int targetPort, java.lang.String proxyHost, int proxyPort, ProxyAuthenticator auth, java.lang.String userAgent)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getServerDesc

    public java.lang.String getServerDesc()

### getSocks4Proxy

    public static java.net.Socket getSocks4Proxy(java.lang.String host,
                                                 int port,
                                                 java.lang.String proxyHost,
                                                 int proxyPort,
                                                 ProxyAuthenticator auth,
                                                 java.lang.String userAgent)
                                          throws java.io.IOException,
                                                 java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### getSocks4Proxy

    public static java.net.Socket getSocks4Proxy(java.lang.String targetHost,
                                                 int targetPort,
                                                 java.lang.String proxyHost,
                                                 int proxyPort,
                                                 java.lang.String userId)
                                          throws java.io.IOException,
                                                 java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### getSocks4Proxy

    public static java.net.Socket getSocks4Proxy(java.lang.String host,
                                                 int port,
                                                 java.lang.String proxyHost,
                                                 int proxyPort,
                                                 long proxyTimeout,
                                                 ProxyAuthenticator auth,
                                                 java.lang.String userAgent)
                                          throws java.io.IOException,
                                                 java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### getSocks4Proxy

    public static java.net.Socket getSocks4Proxy(java.lang.String targetHost,
                                                 int targetPort,
                                                 java.lang.String proxyHost,
                                                 int proxyPort,
                                                 long proxyTimeout,
                                                 java.lang.String userId)
                                          throws java.io.IOException,
                                                 java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### getSocks5Proxy

    public static java.net.Socket getSocks5Proxy(java.lang.String targetHost,
                                                 int targetPort,
                                                 java.lang.String proxyHost,
                                                 int proxyPort,
                                                 ProxyAuthenticator auth,
                                                 java.lang.String userAgent)
                                          throws java.io.IOException,
                                                 java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### getSocks5Proxy

    public static java.net.Socket getSocks5Proxy(java.lang.String targetHost,
                                                 int targetPort,
                                                 java.lang.String proxyHost,
                                                 int proxyPort,
                                                 ProxyAuthenticator authenticator)
                                          throws java.io.IOException,
                                                 java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### getSocks5Proxy

    public static java.net.Socket getSocks5Proxy(java.lang.String targetHost,
                                                 int targetPort,
                                                 java.lang.String proxyHost,
                                                 int proxyPort,
                                                 boolean localLookup,
                                                 ProxyAuthenticator authenticator)
                                          throws java.io.IOException,
                                                 java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### getSocks5Proxy

    public static java.net.Socket getSocks5Proxy(java.lang.String targetHost,
                                                 int targetPort,
                                                 java.lang.String proxyHost,
                                                 int proxyPort,
                                                 long proxyTimeout,
                                                 ProxyAuthenticator auth,
                                                 java.lang.String userAgent)
                                          throws java.io.IOException,
                                                 java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### getSocks5Proxy

    public static java.net.Socket getSocks5Proxy(java.lang.String targetHost,
                                                 int targetPort,
                                                 java.lang.String proxyHost,
                                                 int proxyPort,
                                                 long proxyTimeout,
                                                 ProxyAuthenticator authenticator)
                                          throws java.io.IOException,
                                                 java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### getSocks5Proxy

    public static java.net.Socket getSocks5Proxy(java.lang.String targetHost,
                                                 int targetPort,
                                                 java.lang.String proxyHost,
                                                 int proxyPort,
                                                 long proxyTimeout,
                                                 boolean localLookup,
                                                 ProxyAuthenticator authenticator)
                                          throws java.io.IOException,
                                                 java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD